## SOS COMMAND REFERENCE

### SOS ADDLINE - add blank line after focus line

Syntax:
  SOS ADDline

Description:
  The SOS ADDLINE command inserts a blank line in the file following the focus line. The cursor is placed in the column under the first non-blank in the focus line.

Compatibility:
  XEDIT: Compatible.
  KEDIT: Compatible.

See Also:
  SOS LINEADD, SOS DELLINE

Status:
  Complete

### SOS BLOCKEND - move cursor to end of marked block

Syntax:
  SOS BLOCKEnd

Description:
  The SOS BLOCKEND command moves the cursor to the ending line and column of the marked block. If the cursor is on the command line, the last line of the marked block becomes the current line.

  If no marked block is in the current file, an error is displayed.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

See Also:
  SOS BLOCKSTART

Status:
  Complete.

### SOS BLOCKSTART - move cursor to start of marked block

Syntax:
  SOS BLOCKStart

Description:
  The SOS BLOCKSTART command moves the cursor to the starting line and column of the marked block. If the cursor is on the command line, the first line of the marked block becomes the current line.

  If no marked block is in the current file, an error is displayed.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

See Also:
  SOS BLOCKEND

Status:
  Complete.

### SOS BOTTOMEDGE - move cursor to bottom edge of FILEAREA

Syntax:
  SOS BOTTOMEdge

Description:
  The SOS BOTTOMEDGE command moves the cursor to the last enterable line in the filearea or prefix area . If the cursor is on the command line, the cursor moves to the first enterable line of the filearea .

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

See Also:
  SOS TOPEDGE

Status:
  Complete.

### SOS CUADELBACK - delete the character to the left of the cursor

Syntax:
  SOS CUADELBAck

Description:
  The SOS CUADELBACK command deletes the character to the right of the current cursor position. It differs from SOS DELBACK in the case when the cursor is in the first column of the file and in the FILEAREA. Then, the cursor first moves to the last character of the previous line, and deletes this character.

Compatibility:
  XEDIT: N/A
  KEDIT: N/A

See Also:
  SOS DELBACK, SOS CUADELCHAR

Status:
  Complete

### SOS CUADELCHAR - delete character under cursor

Syntax:
  SOS CUADELChar

Description:
  The SOS CUADELCHAR command deletes the character under the cursor. Text to the right is shifted to the left. It differs from SOS DELCHAR in the case when the cursor is after the last character of the line and in the FILEAREA. Then, the next line is joined with the current line.

Compatibility:
  XEDIT: N/A
  KEDIT: N/A

See Also:
  SOS CURDELBACK, SOS DELCHAR

Status:
  Complete

### SOS CURRENT - move cursor to current line

Syntax:
  SOS CURRent

Description:
  The SOS CURRENT command moves the cursor to the current column of the cursor line from any window.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

Status:
  Complete

### SOS CURSORADJ - move first non-blank character to cursor

Syntax:
  SOS CURSORAdj

Description:
  The SOS CURSORADJ command moves text in the focus line so that the first non-blank character appears under the cursor position.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

See Also:
  SOS CURSORSHIFT

Status:
  Complete

### SOS CURSORSHIFT - move text to right of cursor to cursor

Syntax:
  SOS CURSORSHIFT

Description:
  The SOS CURSORSHIFT command moves text in the focus line so that the first non-blank character to the right of the cursor is shifted to under the cursor position.

Compatibility:
  XEDIT: N/A
  KEDIT: N/A

See Also:
  SOS CURSORADJ

Status:
  Complete

### SOS DELBACK - delete the character to the left of the cursor

Syntax:
  SOS DELBAck

Description:
  The SOS DELBACK command moves the cursor one character to the left and deletes the character now under the cursor.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

See Also:
  SOS DELCHAR, SOS CUADELCHAR

Status:
  Complete

### SOS DELCHAR - delete character under cursor

Syntax:
  SOS DELChar

Description:
  The SOS DELCHAR command deletes the character under the cursor. Text to the right is shifted to the left.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

See Also:
  SOS DELBACK

Status:
  Complete

### SOS DELEND - delete to end of line

Syntax:
  SOS DELEnd

Description:
  The SOS DELEND command deletes all characters from the current column to the end of line.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

Status:
  Complete.

### SOS DELLINE - delete focus line

Syntax:
  SOS DELLine

Description:
  The SOS DELLINE command deletes the focus line .

Compatibility:
  XEDIT: Compatible.
  KEDIT: Compatible.

See Also:
  SOS LINEDEL, SOS ADDLINE

Status:
  Complete

### SOS DELWORD - delete word at or right of cursor

Syntax:
  SOS DELWord

Description:
  The SOS DELWORD command deletes the word at or to the right of the current cursor position and any spaces following the word.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

Status:
  Complete

### SOS DOPREFIX - execute any pending prefix commands

Syntax:
  SOS DOPREfix

Description:
  The SOS DOPREFIX command executes any pending prefix commands.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

Status:
  Complete

### SOS EDIT - edit a file from directory list

Syntax:
  SOS EDIT

Description:
  The SOS EDIT command allows the user to edit a file, chosen from a directory list (the file DIR.DIR).

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible with default definition for Alt-X key.

Status:
  Complete.

### SOS ENDCHAR - move cursor to end of focus line

Syntax:
  SOS ENDChar

Description:
  The SOS ENDCHAR command moves the cursor to the position after the last character displayed in the current window.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

See Also:
  SOS STARTENDCHAR

Status:
  Complete.

### SOS EXECUTE - move cursor to command line and execute command

Syntax:
  SOS EXecute

Description:
  The SOS EXECUTE command moves the cursor to the command line and executes any command that is displayed there.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible

Status:
  Complete.

### SOS FIRSTCHAR - move cursor to first non-blank of field

Syntax:
  SOS FIRSTCHar

Description:
  The SOS FIRSTCHAR command moves the cursor to the first non-blank character of the cursor field. For the prefix area the cursor moves to the first column.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible

See Also:
  SOS FIRSTCOL

Status:
  Complete.

### SOS FIRSTCOL - move cursor to first column of field

Syntax:
  SOS FIRSTCOl

Description:
  The SOS FIRSTCOL command moves the cursor to the first column of the cursor field .

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible

See Also:
  SOS FIRSTCHAR, SOS LASTCOL

Status:
  Complete.

### SOS INSTAB - shift text to next tab column

Syntax:
  SOS INSTAB

Description:
  The SOS INSTAB command shifts all text from the current cursor position in the filearea to the next tab column.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

See Also:
  SET TABS

Status:
  Complete.

### SOS LASTCOL - move cursor to last column of field

Syntax:
  SOS LASTCOl

Description:
  The SOS LASTCOL command moves the cursor to the last column of the cursor field .

Compatibility:
  XEDIT: N/A
  KEDIT: N/A

See Also:
  SOS FIRSTCOL, SOS RIGHTEDGE

Status:
  Complete.

### SOS LEFTEDGE - move cursor to left edge of window

Syntax:
  SOS LEFTEdge

Description:
  The SOS LEFTEDGE command moves the cursor to the leftmost edge of the filearea if not on the command line or to the leftmost edge of the command line if on the command line .

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible

See Also:
  SOS RIGHTEDGE, SOS PREFIX

Status:
  Complete.

### SOS LINEADD - add blank line after focus line

Syntax:
  SOS LINEAdd

Description:
  The SOS LINEADD command inserts a blank line in the file following the focus line . The cursor is placed in the column under the first non-blank in the focus line .

Compatibility:
  XEDIT: Compatible.
  KEDIT: Compatible.

See Also:
  SOS ADDLINE, SOS LINEDEL

Status:
  Complete

### SOS LINEDEL - delete focus line

Syntax:
  SOS LINEDel

Description:
  The SOS LINEDEL command deletes the focus line .

Compatibility:
  XEDIT: Compatible.
  KEDIT: Compatible.

See Also:
  SOS DELLINE, SOS LINEADD

Status:
  Complete

### SOS MAKECURR - make focus line the current line

Syntax:
  SOS MAKECURR

Description:
  The SOS MAKECURR command set the current line to the focus line .

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

Status:
  Complete

### SOS MARGINL - move cursor to the left margin column

Syntax:
  SOS MARGINL

Description:
  The SOS MARGINL command moves the cursor to the left margin column.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

See Also:
  SOS MARGINR

Status:
  Complete

### SOS MARGINR - move cursor to the right margin column

Syntax:
  SOS MARGINR

Description:
  The SOS MARGINR command moves the cursor to the right margin column.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

See Also:
  SOS MARGINL

Status:
  Complete

### SOS PARINDENT - move cursor to the paragraph indent column

Syntax:
  SOS PARINDent

Description:
  The SOS PARINDENT command moves the cursor to the paragraph indent column.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.
  Although, when issued from the command line, nothing
  happens.

Status:
  Complete

### SOS PASTECMDLINE - copy contents of marked block to command line

Syntax:
  SOS PASTECMDline

Description:
  The SOS PASTECMDLINE command copies the contents of the marked block to the command line at the current cursor location.

  Marked blocks that span one line only are allowed to be pasted.

Compatibility:
  XEDIT: N/A
  KEDIT: N/A

Status:
  Complete

### SOS PREFIX - move cursor to leftmost edge of prefix area

Syntax:
  SOS PREfix

Description:
  The SOS PREFIX command moves the cursor to the leftmost edge of the prefix area if the cursor is in the filearea or the prefix area . The command has no effect when executed from the command line .

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible

See Also:
  SOS LEFTEDGE, SOS RIGHTEDGE

Status:
  Complete.

### SOS QCMND - move cursor to command line and clear

Syntax:
  SOS QCmnd

Description:
  The SOS QCMND command moves the cursor to the first column of the command line and clears it.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible

See Also:
  SOS EXECUTE

Status:
  Complete.

### SOS RIGHTEDGE - move cursor to right edge of window

Syntax:
  SOS RIGHTEdge

Description:
  The SOS RIGHTEDGE command moves the cursor to the rightmost edge of the filearea if not on the command line or to the rightmost edge of the command line if on the command line .

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible

See Also:
  SOS LEFTEDGE, SOS PREFIX

Status:
  Complete.

### SOS SETTAB - set a tab column at the cursor position

Syntax:
  SOS SETTAB

Description:
  The SOS SETTAB command sets a tab column at the position of the cursor in the filearea . This command is ignored if issued elsewhere. If a tab column is already set at the cursor position, the tab column is cleared.

Compatibility:
  XEDIT: N/A
  KEDIT: Kedit does not toggle the tab column, but only sets it.

See Also:
  SET TABS

Status:
  Complete.

### SOS STARTENDCHAR - move cursor to end/start of focus line

Syntax:
  SOS STARTENDChar

Description:
  The SOS STARTENDCHAR command moves the cursor to the first character displayed in the cursor field , if the cursor is after the last character displayed in the cursor field , or to the position after the last character displayed in the cursor field , if the cursor is anywhere else.

Compatibility:
  XEDIT: N/A
  KEDIT: N/A

See Also:
  SOS ENDCHAR

Status:
  Complete.

### SOS TABB - move cursor to previous tab stop

Syntax:
  SOS TABB

Description:
  The SOS TABB command causes the cursor to move to the previous tab column as set by the SET TABS command. If the resulting column is beyond the left hand edge of the main window, the window will scroll half a window.

Compatibility:
  XEDIT: Does not allow arguments.
  KEDIT: Compatible. See below.
  Does not line tab to next line if before the left hand tab column.

See Also:
  SET TABS, SOS TABF

Status:
  Complete.

### SOS TABF - move cursor to next tab stop

Syntax:
  SOS TABf

Description:
  The SOS TABF command causes the cursor to move to the next tab column as set by the SET TABS command. If the resulting column is beyond the right hand edge of the main window, the window will scroll half a window.

Compatibility:
  XEDIT: Does not allow arguments.
  KEDIT: Compatible. See below.
  Does not line tab to next line if after the right hand tab column.

See Also:
  SET TABS, SOS TABB

Status:
  Complete.

### SOS TABFIELDB - move cursor to previous enterable field

Syntax:
  SOS TABFIELDB

Description:
  The SOS TABFIELDB command causes the cursor to move to the first column of the current enterable field. If the cursor is already in the first column of the current field the cursor moves to the first column of the previous enterable field on the screen. This command is intended to mimic the behaviour of the SHIFT-TAB key on a 3270 terminal.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

See Also:
  SOS TABFIELDF

Status:
  Complete.

### SOS TABFIELDF - move cursor to next enterable field

Syntax:
  SOS TABFIELDf

Description:
  The SOS TABFIELDF command causes the cursor to move to the next enterable field on the screen. This command is intended to mimic the behaviour of the TAB key on a 3270 terminal.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

See Also:
  SOS TABFIELDB

Status:
  Complete.

### SOS TABWORDB - move cursor to beginning of previous word

Syntax:
  SOS TABWORDB

Description:
  The SOS TABWORDB command causes the cursor to move to the first character of the word to the left or to the start of the line if no more words precede. If the resulting column is beyond the left hand edge of the filearea , the window will scroll half a window.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

See Also:
  SOS TABWORDF

Status:
  Complete.

### SOS TABWORDF - move cursor to start of next word

Syntax:
  SOS TABWORDf

Description:
  The SOS TABWORDF command causes the cursor to move to the first character of the next word to the right or to the end of the line if no more words follow. If the resulting column is beyond the right hand edge of the filearea , the window will scroll half a window.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

See Also:
  SOS TABWORDB

Status:
  Complete.

### SOS TOPEDGE - move cursor to top edge of filearea

Syntax:
  SOS TOPEdge

Description:
  The SOS TOPEDGE command moves the cursor to the first enterable line in the filearea or prefix area . If the cursor is on the command line , the cursor moves to the first enterable line of the filearea .

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

See Also:
  SOS BOTTOMEDGE

Status:
  Complete.

### SOS UNDO - undo changes to the current line

Syntax:
  SOS UNDO

Description:
  The SOS UNDO command causes the contents of the focus line (or the command line ) to be reset to the contents before the cursor was positioned there.

Compatibility:
  XEDIT: N/A
  KEDIT: Compatible.

Status:
  Complete.

Return to Table of Contents